Mediawiki upgrade to 1.10 HELP

apps

#1

Hi, I just used the one-click install to upgrade my mediawiki from 1.9.2 to 1.10, and when I try and connect to my wiki I get this error message:

A database query syntax error has occurred. This may indicate a bug in the software. The last attempted database query was:

(SQL query hidden)

from within function “Title::loadRestrictions”. MySQL returned error “1146: Table ‘tmwiki.wiki_page_restrictions’ doesn’t exist (mysql.wiki.menaster.com)”.

I haven’t found any info on what it is - any idea what I need to do to fix the problem?!

Thanks!


#2

Connect to your server through the shell, cd to the maintenance directory of your MediaWiki installation, and run the update script: /usr/local/php5/bin/php update.php
File a support ticket on the matter as well, since it’s possible that the one-click installer upgrade process is missing a step.

emufarmers.com
Very little to do with either emus or farmers!